@charset "utf-8";

#loading {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    width: 100vw;
    height: 100vh;
    transition: all 2s;
    background-color: #f1f1f1;
}

.loading-text {
    position: relative;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 24px;
    color: DodgerBlue;
}

.loaded {
    opacity: 0;
    visibility: hidden;
}

.fingerprint-spinner,
.fingerprint-spinner * {
    box-sizing: border-box;
}

.fingerprint-spinner {
    height: 64px;
    width: 64px;
    padding: 2px;
    overflow: hidden;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    .spinner-ring {
        position: absolute;
        border-radius: 50%;
        border: 2px solid transparent;
        border-top-color: DodgerBlue;
        animation: fingerprint-spinner-animation 1500ms cubic-bezier(0.680, -0.750, 0.265, 1.750) infinite forwards;
        margin: auto;
        bottom: 0;
        left: 0;
        right: 0;
        top: 0;
    }

    .spinner-ring:nth-child(1) {
        height: calc(60px / 9 + 0 * 60px / 9);
        width: calc(60px / 9 + 0 * 60px / 9);
        animation-delay: calc(50ms * 1);
    }

    .spinner-ring:nth-child(2) {
        height: calc(60px / 9 + 1 * 60px / 9);
        width: calc(60px / 9 + 1 * 60px / 9);
        animation-delay: calc(50ms * 2);
    }

    .spinner-ring:nth-child(3) {
        height: calc(60px / 9 + 2 * 60px / 9);
        width: calc(60px / 9 + 2 * 60px / 9);
        animation-delay: calc(50ms * 3);
    }

    .spinner-ring:nth-child(4) {
        height: calc(60px / 9 + 3 * 60px / 9);
        width: calc(60px / 9 + 3 * 60px / 9);
        animation-delay: calc(50ms * 4);
    }

    .spinner-ring:nth-child(5) {
        height: calc(60px / 9 + 4 * 60px / 9);
        width: calc(60px / 9 + 4 * 60px / 9);
        animation-delay: calc(50ms * 5);
    }

    .spinner-ring:nth-child(6) {
        height: calc(60px / 9 + 5 * 60px / 9);
        width: calc(60px / 9 + 5 * 60px / 9);
        animation-delay: calc(50ms * 6);
    }

    .spinner-ring:nth-child(7) {
        height: calc(60px / 9 + 6 * 60px / 9);
        width: calc(60px / 9 + 6 * 60px / 9);
        animation-delay: calc(50ms * 7);
    }

    .spinner-ring:nth-child(8) {
        height: calc(60px / 9 + 7 * 60px / 9);
        width: calc(60px / 9 + 7 * 60px / 9);
        animation-delay: calc(50ms * 8);
    }

    .spinner-ring:nth-child(9) {
        height: calc(60px / 9 + 8 * 60px / 9);
        width: calc(60px / 9 + 8 * 60px / 9);
        animation-delay: calc(50ms * 9);
    }
}



@keyframes fingerprint-spinner-animation {
    100% {
        transform: rotate(360deg);
    }
}
